<?php
namespace edu\wisc\services\cbs\api;

use edu\wisc\services\cbs\common\AbstractServiceResponse;

/**
 * A mock implementation of a CBS service.
 */
interface MockService extends Service
{

    /**
     * Creates a mock implementation of a {@link Service}.
     *
     * Service will respond with the given {@link AbstractServiceResponse}, or a successful response if one is not
     * given.
     * @param AbstractServiceResponse|null $response  defaults to successful if null
     */
    public function __construct(AbstractServiceResponse $response = null);
}
