<?php
namespace edu\wisc\services\cbs\product;

/**
 * Tests for {@link MockProductServiceClient}
 */
class MockProductServiceClientTest extends \PHPUnit_Framework_TestCase
{

    /** @test */
    public function alwaysSucceedsByDefault()
    {
        $client = new MockProductService();
        $response = $client->createProduct(new Product());
        static::assertTrue($response->isSuccess());
    }

    /** @test */
    public function returnsCustomResponse()
    {
        $mockResponse = new ProductServiceResponse(false, 'Product was not created');
        $client = new MockProductService($mockResponse);
        $response = $client->createProduct(new Product());
        static::assertEquals($mockResponse, $response);
    }

}
